%define upstream_name    CGI-Emulate-PSGI
%define upstream_version 0.22

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 1

Summary:    PSGI adapter for CGI
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/CGI/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(CGI)
BuildRequires: perl(ExtUtils::MakeMaker) >= 6.76
BuildRequires: perl(HTTP::Response)
BuildRequires: perl(Test::More) >= 0.940.0
BuildRequires: perl(Test::Requires)
BuildArch:  noarch

%{?perl_default_filter}

%description
  use CGI::Parse::PSGI qw(parse_cgi_output);

  my $output = YourApp->run;
  my $psgi_res = parse_cgi_output(\$output);

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor

%make_build

#%check
#%make test

%install
%make_install

%files
%doc Changes META.yml MYMETA.yml README
%{_mandir}/man3/*
%{perl_vendorlib}/*


%changelog
* Wed Nov 16 2016 guillomovitch <guillomovitch> 0.220.0-1.mga6
+ Revision: 1067584
- new version 0.22

* Wed May 11 2016 tv <tv> 0.210.0-3.mga6
+ Revision: 1013125
- use std build macros
- BR perl(CGI) for building

* Fri Feb 19 2016 umeabot <umeabot> 0.210.0-2.mga6
+ Revision: 968897
- Mageia 6 Mass Rebuild

* Thu Jul 23 2015 sander85 <sander85> 0.210.0-1.mga6
+ Revision: 856481
- update to 0.21

* Sun Oct 19 2014 umeabot <umeabot> 0.200.0-5.mga5
+ Revision: 788757
- Rebuild to potentially add missing dependencies

* Wed Oct 15 2014 umeabot <umeabot> 0.200.0-4.mga5
+ Revision: 740130
- Second Mageia 5 Mass Rebuild

* Tue Sep 30 2014 tv <tv> 0.200.0-3.mga5
+ Revision: 732922
- add exclude

* Tue Sep 16 2014 umeabot <umeabot> 0.200.0-2.mga5
+ Revision: 683641
- Mageia 5 Mass Rebuild

* Tue Sep 09 2014 sander85 <sander85> 0.200.0-1.mga5
+ Revision: 674159
- update to 0.20

* Sun Aug 31 2014 sander85 <sander85> 0.190.0-1.mga5
+ Revision: 669953
- update to 0.19

* Fri Aug 08 2014 sander85 <sander85> 0.180.0-1.mga5
+ Revision: 661003
- update to 0.18

* Tue Aug 05 2014 sander85 <sander85> 0.170.0-1.mga5
+ Revision: 659804
- update to 0.17

* Fri Oct 18 2013 umeabot <umeabot> 0.150.0-3.mga4
+ Revision: 509382
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.150.0-2.mga3
+ Revision: 363530
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Nov 06 2012 jquelin <jquelin> 0.150.0-1.mga3
+ Revision: 314847
- update to 0.15

* Tue Nov 08 2011 kharec <kharec> 0.140.0-1.mga2
+ Revision: 165280
- Disable checks for now, as it breaks build only on the BS.
- update to 0.14

* Fri Oct 14 2011 jquelin <jquelin> 0.130.0-1.mga2
+ Revision: 154780
- adding missing buildrequires:
- update to 0.13

* Tue Jun 21 2011 jquelin <jquelin> 0.120.0-1.mga2
+ Revision: 111296
- imported package perl-CGI-Emulate-PSGI

